org.apache.fop.render.afp.exceptions

## Class NestedRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.fop.render.afp.exceptions.NestedRuntimeException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  RendererRuntimeException

    public abstract class NestedRuntimeException
    extends RuntimeException

Handy class for wrapping runtime Exceptions with a root cause. This technique is no longer necessary in Java 1.4, which provides built-in support for exception nesting. Thus exceptions in applications written to use Java 1.4 need not extend this class.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NestedRuntimeException(String msg)` Construct a `NestedRuntimeException` with the specified detail message.
`NestedRuntimeException(String msg, Throwable t)` Construct a `NestedRuntimeException` with the specified detail message and nested exception.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMessage()` Return the detail message, including the message from the nested exception if there is one.
`Throwable` `getUnderlyingException()` Gets the original triggering exception
`void` `printStackTrace(PrintStream ps)` Print the composite message and the embedded stack trace to the specified stream.
`void` `printStackTrace(PrintWriter pw)` Print the composite message and the embedded stack trace to the specified writer.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NestedRuntimeException

    public NestedRuntimeException(String msg)

Construct a `NestedRuntimeException` with the specified detail message.

Parameters:
  `msg` - The detail message.

#### NestedRuntimeException

    public NestedRuntimeException(String msg,
                                  Throwable t)

Construct a `NestedRuntimeException` with the specified detail message and nested exception.

Parameters:
  `msg` - The detail message.
  `t` - The nested exception.

### Method Detail

#### getUnderlyingException

    public Throwable getUnderlyingException()

Gets the original triggering exception

Returns:
  The original exception as a throwable.

#### getMessage

    public String getMessage()

Return the detail message, including the message from the nested exception if there is one.

Overrides:
  `getMessage` in class `Throwable`
Returns:
  The detail message.

#### printStackTrace

    public void printStackTrace(PrintStream ps)

Print the composite message and the embedded stack trace to the specified stream.

Overrides:
  `printStackTrace` in class `Throwable`
Parameters:
  `ps` - the print stream

#### printStackTrace

    public void printStackTrace(PrintWriter pw)

Print the composite message and the embedded stack trace to the specified writer.

Overrides:
  `printStackTrace` in class `Throwable`
Parameters:
  `pw` - the print writer